// 游戏结束页面
import { defineComponent, h } from "@vue/runtime-core";

// template->render
export default defineComponent({
  render(ctx) {
    // 显示一张图
    // <div><img src="" alt=""/></div>
    return h("Container", [
      h("Sprite", { texture: "../../assets/end_page.jpg" }),
      h("Sprite", {
        texture: "../../assets/restartBtn.png",
        x: 210,
        y: 500,
        interactive: true,
        onClick() {
          // console.log('---ctx---')
          // console.log(ctx)
          ctx.$emit("changePage", "gamePage");
        },
      }),
    ]);
  },
});
