export class Text {
  constructor(parent) {
    this.parent = parent;
  }
  draw() {

  }
}

export class Window {
  constructor(parent) {
    this.parent = parent;
  }
  draw() {
    
  }
}

// 适配器
export class Adapter {
  constructor() {
    // 装载容器
    this.children = [];
  }
  // 装载子元素
  append(child) {
    console.log("==========> Game.js append start <=========")
    console.log(child)
    this.children.push(child);
    console.log("==========> Game.js append start <=========")
  }
  // 元素状态更新
  update(node, text) {
    console.log("==========> Game.js update start <=========")
    // 找到目标渲染进行绘制
    const target = this.children.find((child) => child === node);
    // target.draw(text);
    console.log(node)
    console.log(text)
    console.log("==========> Game.js update end <=========")
  }
  clear(opts) {
    console.log("==========> Game.js clear start <=========")
    console.log(opts)
    console.log("==========> Game.js clear end <=========")
  }
}
// 容器 === 适配器实例
export function getContainer() {
  return new Adapter();
}
