// 子弹组件
import { defineComponent, h, watch } from "@vue/runtime-core";

export default defineComponent({
  props: ["x", "y"],

  setup(props) {
    console.log("==========> Bullet.js setup start <==========")
    console.log(props)
    console.log("==========> Bullet.js setup end <==========")
  },

  render(ctx) {
    return h("Container", { x: ctx.x, y: ctx.y }, [
      h("Sprite", { texture: "../../assets/bunny-self.png" }),
    ]);
  },
});
